data.raw["recipe"]["steam-engine"].enabled=false;
data.raw["recipe"]["boiler"].enabled=false;
data.raw["recipe"]["basic-mining-drill"].enabled=false;
data.raw["recipe"]["basic-inserter"].enabled=false;
data.raw["recipe"]["small-electric-pole"].enabled=false;
data.raw["recipe"]["radar"].enabled=false;

data.raw["technology"]["optics"].enabled=false;
data.raw["technology"]["solar-energy"].prerequisites={"rocket-silo"};
data.raw["technology"]["solar-energy"].enabled=true;
data.raw["technology"]["solar-energy"].order = "k-a[solar]";
data.raw["technology"]["laser"].enabled=false;
data.raw["technology"]["laser-turrets"].enabled=true;
data.raw["technology"]["laser-turrets"].prerequisites={"orbital-ion-cannon"};
data.raw["technology"]["laser-turrets"].order = "k-a[laser]";
data.raw["technology"]["electric-energy-distribution-1"].enabled=false;
data.raw["technology"]["electric-energy-distribution-2"].enabled=false;
data.raw["technology"]["advanced-material-processing-2"].enabled=false;
data.raw["technology"]["electric-energy-accumulators-1"].prerequisites={"rocket-silo"};
data.raw["technology"]["electric-energy-accumulators-1"].order = "k-a[accum]";
data.raw["technology"]["electric-energy-accumulators-1"].enabled=true;
data.raw["technology"]["logistic-robotics"].enabled=false;
data.raw["technology"]["logistic-system"].enabled=false;
data.raw["technology"]["character-logistic-slots-1"].enabled=false;
data.raw["technology"]["character-logistic-trash-slots-1"].enabled=false;
data.raw["technology"]["laser-turret-damage-1"].enabled=false;
data.raw["technology"]["laser-turret-damage-2"].enabled=false;
data.raw["technology"]["laser-turret-damage-3"].enabled=false;
data.raw["technology"]["laser-turret-damage-4"].enabled=false;
data.raw["technology"]["laser-turret-damage-5"].enabled=false;
data.raw["technology"]["laser-turret-damage-6"].enabled=false;
data.raw["technology"]["laser-turret-speed-1"].enabled=false;
data.raw["technology"]["circuit-network"].enabled=false;
data.raw["technology"]["solar-panel-equipment"].enabled=false;
if data.raw["technology"]["auto-targeting"] then data.raw["technology"]["auto-targeting"].enabled=false; end;



data.raw["technology"]["personal-roboport-equipment"].prerequisites = { "construction-robotics" };
data.raw["technology"]["basic-exoskeleton-equipment"].prerequisites = {"electric-engine"};
data.raw["technology"]["fusion-reactor-equipment"].prerequisites={"armor-making-3"};
data.raw["technology"]["military-3"].prerequisites = {"military-2", "rocketry"};
data.raw["technology"]["concrete"].prerequisites={"advanced-material-processing"};
data.raw["technology"]["logistic-robot-speed-1"].prerequisites={"construction-robotics"};
data.raw["technology"]["logistic-robot-storage-1"].prerequisites={"construction-robotics"};
if data.raw["technology"]["advanced-logistics-systems"] then data.raw["technology"]["advanced-logistics-systems"].prerequisites={"construction-robotics"};end;
data.raw["technology"]["basic-laser-defense-equipment"].prerequisites={"armor-making-3"};
data.raw["technology"]["basic-electric-discharge-defense-equipment"].prerequisites={"armor-making-3", "alien-technology"};


data.raw["technology"]["basic-laser-defense-equipment"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}};
data.raw["technology"]["fusion-reactor-equipment"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}};
data.raw["technology"]["basic-exoskeleton-equipment"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}};
data.raw["technology"]["personal-roboport-equipment"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}};
data.raw["technology"]["armor-making-3"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"alien-science-pack", 1}};
data.raw["technology"]["power-armor"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}};
data.raw["technology"]["energy-shield-equipment"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"alien-science-pack", 1}}
data.raw["technology"]["energy-shield-mk2-equipment"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}};
data.raw["technology"]["battery-equipment"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"alien-science-pack", 1}}
data.raw["technology"]["battery-mk2-equipment"].unit.ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 1}}
data.raw["technology"]["electric-engine"].unit.ingredients ={{"science-pack-1", 1}, {"science-pack-2", 1}, {"alien-science-pack", 1}};
--data.raw["technology"]["battery"].unit.ingredients={{"science-pack-1", 1},{"science-pack-2", 1},{"alien-science-pack", 1}}
data.raw["recipe"]["electric-engine-unit"].ingredients = { {"engine-unit", 1},{type="fluid", name= "lubricant", amount = 2},{"electronic-circuit", 2},{"alien-artifact", 1}}
data.raw["recipe"]["science-pack-2"].ingredients =   {      {"basic-transport-belt", 1},	  {"basic-splitter", 1}    };	
if data.raw["recipe"]["farl"] then data.raw["recipe"]["farl"].ingredients =
      {
        {"diesel-locomotive", 1},
        {"smart-inserter", 2},
        {"steel-plate", 5},
      };end;
data.raw["recipe"]["laser-turret"].ingredients =
    {
      {"steel-plate", 20},
      {"electronic-circuit", 20},
      {"battery", 12},
	  {"alien-artifact", 1}
    };
	  

data.raw["technology"]["rocket-silo"].effects =
	{
      {
        type = "unlock-recipe",
        recipe = "rocket-silo"
      },
      {
        type = "unlock-recipe",
        recipe = "low-density-structure"
      },
      {
        type = "unlock-recipe",
        recipe = "rocket-fuel"
      },
      {
        type = "unlock-recipe",
        recipe = "rocket-control-unit"
      },
      {
        type = "unlock-recipe",
        recipe = "rocket-part"
      },
      {
        type = "unlock-recipe",
        recipe = "satellite"
      },
	  {
        type = "unlock-recipe",
        recipe = "radar"
      }
    }
	  
data.raw["technology"]["fluid-handling"].effects =
    {
      {
        type = "unlock-recipe",
        recipe = "storage-tank"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-crude-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-crude-oil-barrel"
      }
    }
data.raw["technology"]["construction-robotics"].effects =
    {
      {
        type = "unlock-recipe",
        recipe = "logistic-chest-passive-provider"
      },
      {
        type = "unlock-recipe",
        recipe = "logistic-chest-storage"
      },
      {
        type = "unlock-recipe",
        recipe = "construction-robot"
      },
      {
        type = "ghost-time-to-live",
        modifier = 60 * 60 * 5
      }
    }
data.raw["technology"]["logistics"].effects =
    {
      {
        type = "unlock-recipe",
        recipe = "basic-transport-belt-to-ground"
      },
      {
        type = "unlock-recipe",
        recipe = "basic-splitter"
      }
    };
data.raw["technology"]["automation"].effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-1"
      }
	};

data.raw["lab"]["lab"].energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["assembling-machine"]["assembling-machine-1"].energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["assembling-machine"]["assembling-machine-2"].energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["assembling-machine"]["assembling-machine-3"].energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["assembling-machine"]["oil-refinery"].energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["assembling-machine"]["chemical-plant"].energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["mining-drill"]["pumpjack"].energy_source =
	{
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["beacon"]["basic-beacon"].energy_source =
	{
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["rocket-silo"]["rocket-silo"].energy_source =
	{
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
	  usage_priority = "secondary-input",
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["inserter"]["smart-inserter"].energy_source =
{
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
	  usage_priority = "secondary-input",
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 5,
          position = {0.0, -0.8},
          starting_vertical_speed = 0.08,
          starting_frame_deviation = 60
        }
      }
    };
data.raw["inserter"]["smart-inserter"].energy_per_movement = 100000;
data.raw["inserter"]["smart-inserter"].energy_per_rotation = 100000;
data.raw["inserter"]["smart-inserter"].extension_speed = 0.0214;
data.raw["inserter"]["smart-inserter"].rotation_speed = 0.01;
data.raw["recipe"]["smart-inserter"].ingredients =
    {
      {"burner-inserter", 1},
      {"electronic-circuit", 8}
    };
